LSIPC(1)

BEZEICHNUNG
lsipc - Informationen zu IPC-Einrichtungen anzeigen, die aktuell im System beschäftigt sind

ÜBERSICHT
lsipc [Optionen]

BESCHREIBUNG
lsipc zeigt Informationen zu Einrichtungen der Interprozess-Kommunikation an, für die der aufrufende Prozess Schreibzugriff hat.

OPTIONEN

-i, --id id
    zeigt vollständige Details zu dem jeweiligen Ressourcenelement an, das durch Kennung bezeichnet ist. Diese Option muss mit einer der drei Ressourcenoptionen kombiniert werden: -m, -q oder -s. Es ist möglich, das vorgegebene Ausgabeformat mit den Optionen --list, --raw, --json oder --export außer Kraft zu setzen.

-g, --global
    zeigt die systemweite Auslastung und Begrenzung der IPC-Ressourcen an. Diese Option kann mit einer der drei Ressourcenoptionen -m, -q oder -s kombiniert werden. Standardmäßig werden Informationen zu allen Ressourcen angezeigt.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

  Ressourcenoptionen

-m, --shmems
    gibt Informationen zu den aktiven gemeinsam genutzten Speichersegmenten aus.

-q, --queues
    gibt Informationen zu den aktiven Nachrichtenwarteschlangen aus.

-s, --semaphores
    gibt Informationen zu den aktiven Semaphor-Feldern aus.

  Formatierung der Ausgabe

-c, --creator
    zeigt den Ersteller und Eigentümer an.

-e, --export
    gibt die Daten im Format NAME=WERT aus.

-J, --json
    verwendet das JSON-Ausgabeformat.

-l, --list
    formatiert die Ausgabe als Liste. Dies ist die Vorgabe, außer wenn --id verwendet wird.

-n, --newline
    zeigt jeden Informationsteil in einer separaten Zeile an.

--noheadings
    unterdrückt die Ausgabe einer Kopfzeile.

--notruncate
    kürzt die Ausgabe nicht.

-o, --output Liste
    legt die anzuzeigenden Spalten fest. Mit --help erhalten Sie eine Liste aller unterstützten Spalten.

-b, --bytes
    gibt die Größe in Byte anstelle eines menschenlesbaren Formats aus.

-r, --raw
    gibt Rohdaten aus (keine Formatierung in Spalten).

-t, --time
    zeigt Zeitinformationen an: die Zeit des letzten Vorgangs, der die Zugriffsrechte für alle Leistungen geändert hat, die Zeit der letzten msgsnd(2)- und msgrcv(2)-Vorgänge für Nachrichtenwarteschlangen, die Zeit der letzten shmat(2)- und shmdt(2)-Vorgänge für gemeinsam genutzten Speicher und die Zeit des letzten semop(2)-Vorgangs für Semaphore.

--time-format Typ
    zeigt Daten im Kurz-, Voll- oder ISO-Format an. Vorgabe ist das Kurzformat, welches sowohl platzsparend als auch menschenlesbar ist.

-P, --numeric-perms
    zeigt Zugriffsrechte in numerischer Form in der Spalte »Rechte« an.

EXIT-STATUS

0   wenn alles in Ordnung ist,

1   falls inkorrekte Argumente angegeben wurden,

2   falls ein ernstzunehmender Fehler auftritt.

SIEHE AUCH
ipcmk(1), ipcrm(1), msgrcv(2), msgsnd(2), semget(2), semop(2), shmat(2), shmdt(2), shmget(2)

GESCHICHTE
Das Dienstprogramm lsipc wurde von ipcs inspiriert.

AUTOREN
Ondrej Oprala (ooprala@redhat.com)
Karel Zak (kzak@redhat.com)

VERFÜGBARKEIT
Der Befehl »lsipc« ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (https://www.kernel.org/pub/linux/utils/util-linux/). heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.